umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SQLImport::TableConstraints Class Reference

`#include <sqlimport.h>`

## Public Member Functions
| TableConstraints ()

## Public Attributes
bool | primaryKey
bool | uniqueKeys
bool | notNullConstraint
bool | autoIncrement
bool | checkConstraint
QString | checkExpression
QStringList | primaryKeyFields
QString | uniqueKeyName
QStringList | uniqueKeysFields
QString | collate
QString | defaultValue
QString | constraintName

## Constructor & Destructor Documentation

## ◆ TableConstraints()

SQLImport::TableConstraints::TableConstraints | ( |  | ) |
| inline

## Member Data Documentation

## ◆ autoIncrement

bool SQLImport::TableConstraints::autoIncrement

## ◆ checkConstraint

bool SQLImport::TableConstraints::checkConstraint

## ◆ checkExpression

QString SQLImport::TableConstraints::checkExpression

## ◆ collate

QString SQLImport::TableConstraints::collate

## ◆ constraintName

QString SQLImport::TableConstraints::constraintName

## ◆ defaultValue

QString SQLImport::TableConstraints::defaultValue

## ◆ notNullConstraint

bool SQLImport::TableConstraints::notNullConstraint

## ◆ primaryKey

bool SQLImport::TableConstraints::primaryKey

## ◆ primaryKeyFields

QStringList SQLImport::TableConstraints::primaryKeyFields

## ◆ uniqueKeyName

QString SQLImport::TableConstraints::uniqueKeyName

## ◆ uniqueKeys

bool SQLImport::TableConstraints::uniqueKeys

## ◆ uniqueKeysFields

QStringList SQLImport::TableConstraints::uniqueKeysFields

The documentation for this class was generated from the following file:

- umbrello/codeimport/sqlimport.h